{-
Copyright 2009 Christian Sternagel, René Thiemann, Sarah Winkler, Harald Zankl

This file is part of IsaFoR/CeTA.

IsaFoR/CeTA is free software: you can redistribute it and/or modify it under the
terms of the GNU Lesser General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

IsaFoR/CeTA is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along
with IsaFoR/CeTA. If not, see <http://www.gnu.org/licenses/>.
-}
module Main(main) where 

import Ceta; -- the certifier
import System; -- for getArgs
import System.IO; -- for file reading

main = do args <- getArgs
          case length args of
            1 -> do problemString <- readFile (args !! 0)
                    start False problemString
            2 -> do let flag = args !! 0
                    if flag == "--allow-assumptions"
                      then do problemString <- readFile (args !! 1)
                              start True problemString
                      else error ("flag '" ++ flag ++ "' not supported")
            _ -> error "usage: ceta [--allow-assumptions] problemFile.xml(in cpf-format)     (CeTA version 2.2)"

start a problemString = 
    do case certify_proof a problemString of
         Certified prf -> putStr ("CERTIFIED " ++ prf ++ "\n")
         Unsupported message -> 
             do putStrLn "UNSUPPORTED" 
                error (message ++ "\n")
         Error message -> 
             do putStrLn "REJECTED"
                error (message ++ "\n")

